Get Line Item by Nabis ID
Returns a single line item from one of your organization's orders.
Path Parameters
- id uuid required
Nabis ID of the line item
- 200
- 401
- 404
- 429
Successful Operation
- application/json
- Schema
Schema
- id uuid
Nabis ID of the line item
- orderId uuid
Nabis ID of the order the line item is on. See Get Order by Nabis ID
- itemBatchId uuid
Nabis ID of the item batch ordered. See Get Inventory by Nabis ID
- itemId uuid
Nabis ID of the item ordered
- batchId uuid
Nabis ID of the batch ordered
- name string
Name of the item when it was ordered
- code string
Code of the item when it was ordered
- unit string
Description of a single unit of the item when it was ordered (e.g. 6-pack)
- quantity integer
Number of units ordered
- pricePerUnit number
Price of a single unit on this order, before discounts
- itemPricePerUnit number
The item's standard price for a single unit when it was ordered
- taxInclusivePrice number
Price of a single unit including tax. Only set when the order uses tax-inclusive pricing (
taxInclusivePricingon the order) - discount number
Discount applied to the line item, for the whole line
- promotionsDiscount number
Discount from promotions applied to the line item, for the whole line
- flatDiscountAmount number
The line item's share of any flat discount applied to the whole order
- isSample boolean
Whether the line item is a sample
- sampleType string
Possible values: [
TRADE_SAMPLE,DONATION,DISPLAY_SAMPLE]Kind of sample.
nullwhen the line item isn't a sample - lineItemManifestNotes string
Notes on the line item that appear on the order's manifest
- createdAt date-time
When the line item was created
- updatedAt date-time
When the line item was last updated
Invalid API key
Not Found
Too Many Requests